org.apache.commons.math3.analysis.solvers

## Class AbstractUnivariateSolver

- java.lang.Object
- - org.apache.commons.math3.analysis.solvers.BaseAbstractUnivariateSolver<UnivariateFunction>
  - - org.apache.commons.math3.analysis.solvers.AbstractUnivariateSolver

- All Implemented Interfaces:
    BaseUnivariateSolver<UnivariateFunction>, UnivariateSolver
  Direct Known Subclasses:
    BaseSecantSolver, BisectionSolver, BracketingNthOrderBrentSolver, BrentSolver, MullerSolver, MullerSolver2, RiddersSolver, SecantSolver

      public abstract class AbstractUnivariateSolver
      extends BaseAbstractUnivariateSolver<UnivariateFunction>
      implements UnivariateSolver

  Base class for solvers.
  Since:
    3.0
  Version:
    $Id$

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractUnivariateSolver(double absoluteAccuracy)` Construct a solver with given absolute accuracy.
    `protected` | `AbstractUnivariateSolver(double relativeAccuracy, double absoluteAccuracy)` Construct a solver with given accuracies.
    `protected` | `AbstractUnivariateSolver(double relativeAccuracy, double absoluteAccuracy, double functionValueAccuracy)` Construct a solver with given accuracies.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.math3.analysis.solvers.BaseAbstractUnivariateSolver

      `computeObjectiveValue, doSolve, getAbsoluteAccuracy, getEvaluations, getFunctionValueAccuracy, getMax, getMaxEvaluations, getMin, getRelativeAccuracy, getStartValue, incrementEvaluationCount, isBracketing, isSequence, setup, solve, solve, solve, verifyBracketing, verifyInterval, verifySequence`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.math3.analysis.solvers.BaseUnivariateSolver

      `getAbsoluteAccuracy, getEvaluations, getFunctionValueAccuracy, getMaxEvaluations, getRelativeAccuracy, solve, solve, solve`

- - ### Constructor Detail

    - #### AbstractUnivariateSolver

          protected AbstractUnivariateSolver(double absoluteAccuracy)

      Construct a solver with given absolute accuracy.
      Parameters:
        `absoluteAccuracy` - Maximum absolute error.

    - #### AbstractUnivariateSolver

          protected AbstractUnivariateSolver(double relativeAccuracy,
                                  double absoluteAccuracy)

      Construct a solver with given accuracies.
      Parameters:
        `relativeAccuracy` - Maximum relative error.
        `absoluteAccuracy` - Maximum absolute error.

    - #### AbstractUnivariateSolver

          protected AbstractUnivariateSolver(double relativeAccuracy,
                                  double absoluteAccuracy,
                                  double functionValueAccuracy)

      Construct a solver with given accuracies.
      Parameters:
        `relativeAccuracy` - Maximum relative error.
        `absoluteAccuracy` - Maximum absolute error.
        `functionValueAccuracy` - Maximum function value error.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.